Bug 251546 - net/radsecproxy: Use release archive and various adjustments to Makefile
Summary: net/radsecproxy: Use release archive and various adjustments to Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-02 21:34 UTC by daniel.engberg.lists
Modified: 2020-12-04 07:23 UTC (History)
2 users (show)

See Also:


Attachments
Patch for radsecproxy (1.60 KB, patch)
2020-12-02 21:34 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-12-02 21:34:37 UTC
Created attachment 220186 [details]
Patch for radsecproxy

Use DISTVERSION [1]
Use release tarball [2]
Define license file [3]
Set CPE vendor to uninett [4]
Remove USES= autoreconf and tar:tgz
Pet portlint

References: 
[1] "Table 5.2. Package Naming Examples" in Porter's Handbook
[2] Section 5.4.3 in Porter's Handbook
[3] Section 5.7.1 in Porter's Handbook
[4] https://nvd.nist.gov/products/cpe/search/results?namingFormat=2.3&keyword=radsecproxy

Compile tested on FreeBSD 13.0-CURRENT #0 r367711 (amd64)
Poudriere testport OK 12.2-RELEASE (amd64)
Comment 1 Neel Chauhan freebsd_committer 2020-12-02 21:35:27 UTC
Sure, LGTM.
Comment 2 Fernando Apesteguía freebsd_committer 2020-12-03 09:21:33 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 3 commit-hook freebsd_committer 2020-12-04 07:19:49 UTC
A commit references this bug:

Author: fernape
Date: Fri Dec  4 07:19:36 UTC 2020
New revision: 556953
URL: https://svnweb.freebsd.org/changeset/ports/556953

Log:
  net/radsecproxy: Use release archive

   * Use DISTVERSION
   * Use release tarball
   * Define license file
   * Set CPE vendor to uninett
   * Remove USES= autoreconf and tar:tgz
   * Pet portlint

  PR:	251546
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	neel@neelc.org (maintainer)

Changes:
  head/net/radsecproxy/Makefile
  head/net/radsecproxy/distinfo
Comment 4 Fernando Apesteguía freebsd_committer 2020-12-04 07:23:08 UTC
Committed,

Thanks!